Bug 692452 - Mixed Group: Buttons 'Delete' and 'New' should be disabled for a user without 'Manage Inventory' permission
Mixed Group: Buttons 'Delete' and 'New' should be disabled for a user without...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-31 07:55 EDT by Sunil Kondkar
Modified: 2011-10-04 15:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2011-03-31 07:55:06 EDT
Description of problem:

I created a user and a mixed group of resources(apache and JBossAS5)
Created a role without 'Manage Inventory' permission and assigned the created user and mixed group to the role.

When navigated to the 'Inventory menu->Mixed Group' Observed following:

1. 'New' button is enabled. Clicking on New button opens the group creation wizard. Clicking on Finish button in the wizard displays PermissionException.

2. 'Delete' button gets enabled when user selects a mixed group. Clicking on Delete button displays a confirmation message and then PermissionException.

These buttons 'Delete' and 'New' should be disabled for a user without 'Manage Inventory' permissions.

Version-Release number of selected component (if applicable):

Build#1108 (Version: 4.0.0-SNAPSHOT Build Number: 8573843)

How reproducible:

Always

Steps to Reproduce:

1. Create a user and mixed group
2. Create a role without 'Manage Inventory' permission.
3. Assign the created user and mixed group to the role.
4. Login to RHQ with the created user
5. Navigate to 'Inventory menu->Mixed Group'.
6. Observe that 'New' button is enabled.

7  Select a mixed group in the mixed group list.
8. Observe if the 'Delete' button is enabled.

  
Actual results:

User without 'Manage Inventory' permission is not permitted to create a new group or delete a mixed group as expected. However these buttons ('Delete' and 'New') are enabled.

Expected results:

Buttons 'Delete' and 'New' should be disabled for a user without 'Manage Inventory' permissions.

Additional info:
Comment 1 Jay Shaughnessy 2011-03-31 16:55:32 EDT
Fix commit: 5422bf4365ea656d41399ec67a4c91cf573b9f0e

Also added button enablement for uninventory button.
Comment 2 Sunil Kondkar 2011-04-01 04:51:17 EDT
Verified on build#1113 (Version: 4.0.0-SNAPSHOT Build Number: ce940ee)

Buttons 'Delete' and 'New' are disabled for a user without 'Manage
Inventory' permissions.

Also verified that uninventory button is disabled for a user who does not have Delete Child Resource' permissions.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:11:56 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:11:56 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.